WESNOTHD(6)

NOME
wesnothd - deamon de rede para jogos multijogadores de Battle for Wesnoth

SINOPSE
wesnothd [-dvV] [-c caminho] [-p porta] [-t número]

DESCRIÇÃO
Gerencia jogos multijogadores de Battle for Wesnoth. Veja http://www.wesnoth.org/wiki/ServerAdministration para saber que comandos o servidor aceita via o clitente wesnoth ou via socket.

OPÇÕES

-c, --config caminho
    diz a wesnothd onde achar o arquivo de configuração a ser usado. Veja a seção CONFIGURAÇÃO DO SERVIDOR abaixo para a sintaxe.

-d, --daemon
    executa wesnothd como um daemon.

-h, --help
    explica o que as opções de linha de comando fazem.

-p, --port porta
    conecta o servidor à porta escolhida. Se nenhum número de porta for escolhido, porta 15000 será usada.

-t, --threads número
    configura o número de threads para a entrada e saida da rede. (padrão: 5, máximo: 30).

-V, --version
    mostra o número da versão e termina.

-v, --verbose
    aciona um log mais detalhado.

CONFIGURAÇAO DO SERVIDOR

  A sintaxe geral é:

[tag]

    chave="valor"

    chave="valor,valor,..."

[/tag]

  Chaves globais:

connections_allowed
    O número de conexões oriundas do mesmo IP permitidas.

disallow_names
    Nomes/apelidos que não são aceitos pelo servidor. `*'e `?' podem ser usados como coringas. Veja glob(7) para mais detalhes. O valor padrão (usado se nada for especificado) é: `server,ai,player,network,human,admin,computer'.

max_messages
    O número de mensagens permitidas dentro de messages_time_period.

messages_time_period
    O tempo (em segundos) usado para detectar flood de mensagens.

motd
    A mensagem do dia.

passwd
    A senha usada para ganhar privilégios admnistrativos. Geralmente ela começa com "admin".

versions_accepted
    Uma lista separada por vírgulas de strings de versão que serão aceitas pelo servidor. `*'e `?' podem ser usados para formar coringas.
    Exemplo: versions_accepted="*" aceita qualquer string de versão.

  Tags Globais:

[redirect] Uma tag para especificar um servidor ao qual redirecionar certas versões de clientes.

    host
        O endereço do servidor para o qual redirecionar.

    port
        A porta para a qual se conectar.

    version
        Uma lista separada por vírgulas de versões para redirecionar. Se comporta do mesmo modo que versions_accepted em relação a coringas.

[proxy] Uma tag que diz ao servidor para agir como proxy, e enviar as requisições dos clientes conectados para um outro servidor especificado. Aceita as mesmas chaves que [redirect].

AUTOR
Escrito por David White <davidnwhite@verizon.net>. Editado por Nils Kneuper <crazy-ivanovic@gmx.net>, ott <ott@gaon.net> e Soliton <soliton@sonnenkinder.org>. Esta página de manual foi originalmente escrita por Cyril Bouthors <cyril@bouthors.org>.
Visite a página oficial do projeto: http://www.wesnoth.org/

COPYRIGHT
Copyright \(co 2003-2006 David White <davidnwhite@verizon.net>
Este programa é Free Software; este programa esta licensiado sob a GPL versão 2, conforme publicada pela Free Software Foundation. NÃO há QUALQUER garantia para o programa; nem mesmo a garantia de COMERCIALIZAÇÃO, e as de ADEQUAÇÃO A QUALQUER PROPÓSITO.

VEJA TAMBÉM
wesnoth(6), wesnoth_editor(6)